{
  config,
  lib,
  pkgs,
  apple-fonts,
  ...
}:
{
  stylix.opacity = {
    terminal = 0.8;
    desktop = 1.0;
    popups = 1.0;
  };
  stylix.cursor = {
    name = "macOS";
    package = pkgs.apple-cursor;
    size = 24;
  };
  stylix.icons = {
    enable = true;
    dark = "Papirus-Dark";
    light = "Papirus-Light";
    package = pkgs.papirus-icon-theme;
  };
  stylix = {
    enable = true;
    autoEnable = true;
    base16Scheme = "${pkgs.base16-schemes}/share/themes/rose-pine.yaml";
    polarity = "dark";
    image = ./home/wallpaper.png;
    targets = {
      qt.platform = lib.mkForce "qtct";
    };
    fonts = {
      sizes = {
        terminal = 10;
        popups = 10;
        desktop = 10;
      };
      serif = {
        package = config.stylix.fonts.monospace.package;
        name = config.stylix.fonts.monospace.name;
      };
      sansSerif = {
        package = config.stylix.fonts.monospace.package;
        name = config.stylix.fonts.monospace.name;
      };
      monospace = {
        package = apple-fonts.packages.${pkgs.system}.sf-mono-nerd;
        name = "SFMono Nerd Font";
      };

      emoji = {
        package = pkgs.noto-fonts-color-emoji;
        name = "Noto Color Emoji";
      };
    };
  };
}
